summaryrefslogtreecommitdiff
path: root/plugins/droplr
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/droplr')
-rw-r--r--plugins/droplr/README.md19
-rw-r--r--plugins/droplr/droplr.plugin.zsh15
2 files changed, 34 insertions, 0 deletions
diff --git a/plugins/droplr/README.md b/plugins/droplr/README.md
new file mode 100644
index 000000000..cfbec25ed
--- /dev/null
+++ b/plugins/droplr/README.md
@@ -0,0 +1,19 @@
+# droplr
+
+Use [Droplr](https://droplr.com/) from the comand line to upload files and shorten
+links. It needs to have [Droplr.app](https://droplr.com/apps) installed and logged
+in. MacOS only.
+
+To use it, add `droplr` to the `$plugins` variable in your zshrc file:
+
+```zsh
+plugins=(... droplr)
+```
+
+Author: [Fabio Fernandes](https://github.com/fabiofl)
+
+## Examples
+
+- Upload a file: `droplr ./path/to/file/`
+
+- Shorten a link: `droplr http://example.com`
diff --git a/plugins/droplr/droplr.plugin.zsh b/plugins/droplr/droplr.plugin.zsh
new file mode 100644
index 000000000..296a8b98b
--- /dev/null
+++ b/plugins/droplr/droplr.plugin.zsh
@@ -0,0 +1,15 @@
+# Only compatible with MacOS
+[[ "$OSTYPE" == darwin* ]] || return
+
+droplr() {
+ if [[ $# -eq 0 ]]; then
+ echo You need to specify a parameter. >&2
+ return 1
+ fi
+
+ if [[ "$1" =~ ^http[|s]:// ]]; then
+ osascript -e "tell app 'Droplr' to shorten '$1'"
+ else
+ open -ga /Applications/Droplr.app "$1"
+ fi
+}